import { ServiceIdentifier } from '../../instantiation/common/instantiation.js';
import { URI } from '../../../base/common/uri.js';
import { IExtensionDescription } from '../../extensions/common/extensions.js';

declare const IRemoteExtensionsScannerService: ServiceIdentifier<IRemoteExtensionsScannerService>;
interface IRemoteExtensionsScannerService {
    readonly _serviceBrand: undefined;
    whenExtensionsReady(): Promise<void>;
    scanExtensions(): Promise<IExtensionDescription[]>;
    scanSingleExtension(extensionLocation: URI, isBuiltin: boolean): Promise<IExtensionDescription | null>;
}

export { IRemoteExtensionsScannerService };
