import { ServiceIdentifier } from '../../../../platform/instantiation/common/instantiation.js';
import { SnippetFile, Snippet } from './snippetsFile.js';

interface ISnippetGetOptions {
    includeDisabledSnippets?: boolean;
    includeNoPrefixSnippets?: boolean;
    noRecencySort?: boolean;
    fileTemplateSnippets?: boolean;
}

declare const ISnippetsService: ServiceIdentifier<ISnippetsService>;
interface ISnippetsService {
    readonly _serviceBrand: undefined;
    getSnippetFiles(): Promise<Iterable<SnippetFile>>;
    isEnabled(snippet: Snippet): boolean;
    updateEnablement(snippet: Snippet, enabled: boolean): void;
    updateUsageTimestamp(snippet: Snippet): void;
    getSnippets(languageId: string | undefined, opt?: ISnippetGetOptions): Promise<Snippet[]>;
    getSnippetsSync(languageId: string, opt?: ISnippetGetOptions): Snippet[];
}

export { type ISnippetGetOptions, ISnippetsService };
